/**
 * Created with JetBrains WebStorm.
 * User: dfwang
 * Date: 14-6-16
 * Time: 下午12:03
 * To change this template use File | Settings | File Templates.
 */
define(function (require, exports) {
    var _h_$figure=function(){
        this.canvas = null;
        this.dom = null;
    }
    _h_$figure.prototype.addElemet=function(){
        if(!PAGECURRENT){
            throw (new Error('no page'));
            return;
        }
        this.dom =new fabric.Path('M 0 0 L 200 100 L 170 200 z');
        this.dom.set({ left: 120, top: 120,fill:'rgba(255,255,255,0)',stroke:'#000000' })
        this.dom.baseClass= this;
        this.canvas = PAGECURRENT.c.canvas
        this.canvas.add(this.dom);
    }
    exports.instance = _h_$figure
})